add_subdirectory( plugins )

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${CMAKE_SOURCE_DIR}/kaffeine/src/input/
  ${CMAKE_SOURCE_DIR}/kaffeine/src/
  ${CMAKE_SOURCE_DIR}/kaffeine/src/player-parts/kaffeine-part
  ${CMAKE_SOURCE_DIR}/kaffeine/src/input/disc/plugins
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kaffeinedisc (static)

tde_add_library( kaffeinedisc STATIC_PIC AUTOMOC

  SOURCES
        paranoiasettings.ui
        disc.cpp
        cddb.cpp
        paranoia.cpp
        
  LINK
     kaffeineinput-static
     kaffeinepart-shared
     kaffeineaudioencoder-shared
     ${CDIO_CDDA_LIBRARIES}
     ${CDIO_PARANOIA_LIBRARIES}
)


##### other data

install(
    FILES kaffeinedisc.rc
    DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)
